# Class SearchProcessorInfo

java.lang.Object
org.eclipse.help.search.SearchProcessorInfo

public class SearchProcessorInfo extends Object
This class is a storage container for search processing

Since:
  3.6

## Constructor Summary

Constructors
Constructor
Description
`SearchProcessorInfo()`

## Method Summary

Modifier and Type
Method
Description
`String[]`
`getAlternateTerms()`
After `AbstractSearchProcessor.preSearch(String)` is called, this method can be used to return an array of alternative search terms a user may wish to consider.
`String`
`getQuery()`
After `AbstractSearchProcessor.preSearch(String)` is called, this method can be used to change the search query used.
`void`
`setAlternateTerms(String[] alternateTerms)`
Sets the alternate terms to be considered.
`void`
`setQuery(String query)`
Sets the query to search with.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SearchProcessorInfo

public SearchProcessorInfo()

## Method Details

### getQuery

public String getQuery()
After `AbstractSearchProcessor.preSearch(String)` is called, this method can be used to change the search query used.

Returns:
  new search query String, or `null` for no change.

### setQuery

public void setQuery(String query)
Sets the query to search with.

Parameters:
  `query` - the new search query string
See Also:
  - `getQuery()`

### getAlternateTerms

public String[] getAlternateTerms()
After `AbstractSearchProcessor.preSearch(String)` is called, this method can be used to return an array of alternative search terms a user may wish to consider.

Returns:
  String[] of alternate terms, or `null` for no alternate terms. An empty array has the same effect as returning `null`.

### setAlternateTerms

public void setAlternateTerms(String[] alternateTerms)
Sets the alternate terms to be considered.

Parameters:
  `alternateTerms` - new alternate search terms, or `null` for no alternate terms.
See Also:
  - `getAlternateTerms()`